View Issue Details

IDProjectCategoryView StatusLast Update
0010194Tine 2.0Felamimailpublic2017-07-12 14:07
ReporterpschueleAssigned Topschuele 
PriorityurgentSeverityminorReproducibilityhave not tried
Status assignedResolutionreopened 
Product Version 
Target Version2017.11.1 Caroline Business EditionFixed in Version 
Summary0010194: fix felamimail webdav tests
Description2) Felamimail_Frontend_JsonTest::testGetVacationTemplates
Sabre\DAV\Exception\NotFound: File not found: Felamimail in 'webdav'

/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/SimpleCollection.php:91
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:72
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1341
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1317

3) Felamimail_Frontend_JsonTest::testGetVacationMessage
Sabre\DAV\Exception\NotFound: File not found: Felamimail in 'webdav'

/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/SimpleCollection.php:91
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:72
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1341
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1317
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1369
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1351

4) Felamimail_Frontend_JsonTest::testGetVacationWithSignature
Sabre\DAV\Exception\NotFound: File not found: Felamimail in 'webdav'

/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/SimpleCollection.php:91
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:72
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1341
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1317
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1369
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/JsonTest.php:1397

5) Felamimail_Frontend_WebDAVTest::testgetNodeForPath_webdav_felamimail
Sabre\DAV\Exception\NotFound: File not found: Felamimail in 'webdav'

/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/SimpleCollection.php:91
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:72
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/WebDAVTest.php:60

6) Felamimail_Frontend_WebDAVTest::testgetNodeForPath_webdav_felamimail_shared
Sabre\DAV\Exception\NotFound: File not found: Felamimail in 'webdav'

/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/SimpleCollection.php:91
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:72
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/WebDAVTest.php:85

7) Felamimail_Frontend_WebDAVTest::testgetNodeForPath_webdav_felamimail_shared_unittestdirectory
Sabre\DAV\Exception\NotFound: File not found: Felamimail in 'webdav'

/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/SimpleCollection.php:91
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:72
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/WebDAVTest.php:105

8) Felamimail_Frontend_WebDAVTest::testgetNodeForPath_webdav_felamimail_shared_unittestdirectory_file
Sabre\DAV\Exception\NotFound: File not found: Felamimail in 'webdav'

/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/SimpleCollection.php:91
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:72
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/WebDAVTest.php:105
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/WebDAVTest.php:127

9) Felamimail_Frontend_WebDAVTest::testDeleteFile
Sabre\DAV\Exception\NotFound: File not found: Felamimail in 'webdav'

/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/SimpleCollection.php:91
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:72
/var/lib/jenkins/jobs/tine20gerrit/workspace/tine20/vendor/sabre/dav/lib/Sabre/DAV/ObjectTree.php:67
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/WebDAVTest.php:105
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/WebDAVTest.php:127
/var/lib/jenkins/jobs/tine20gerrit/workspace/tests/tine20/Felamimail/Frontend/WebDAVTest.php:146
TagsNo tags attached.
mwticket

Relationships

related to 0010192 assignedpschuele fix persistent filter tests 
related to 0013030 resolvedpschuele fix HR and FMail template folder nodes 

Activities

pschuele

pschuele

2017-05-09 19:55

administrator   ~0020064

we still have two failing tests:

  1) Felamimail_Frontend_WebDAVTest::testgetNodeForPath_webdav_felamimail_shared_unittestdirectory_file
  Sabre\DAV\Exception\Forbidden: Forbidden to create file: /63038d578525f2f8a0518f77c94d2652582c10c0/folders/shared/unittestdirectory/tine_logo.png

  /usr/local/share/tine20.git/tine20/Tinebase/Frontend/WebDAV/Container.php:100
  /usr/local/share/tine20.git/tests/tine20/Felamimail/Frontend/WebDAVTest.php:129

  2) Felamimail_Frontend_WebDAVTest::testDeleteFile
  Sabre\DAV\Exception\Forbidden: Forbidden to create file: /63038d578525f2f8a0518f77c94d2652582c10c0/folders/shared/unittestdirectory/tine_logo.png

  /usr/local/share/tine20.git/tine20/Tinebase/Frontend/WebDAV/Container.php:100
  /usr/local/share/tine20.git/tests/tine20/Felamimail/Frontend/WebDAVTest.php:129
  /usr/local/share/tine20.git/tests/tine20/Felamimail/Frontend/WebDAVTest.php:146

Issue History

Date Modified Username Field Change
2014-08-29 22:40 pschuele New Issue
2014-08-29 22:40 pschuele Status new => assigned
2014-08-29 22:40 pschuele Assigned To => pschuele
2014-08-29 22:40 pschuele Issue generated from: 0010192
2014-08-29 22:40 pschuele Relationship added related to 0010192
2014-09-04 22:39 pschuele Target Version Koriander (2014.09.0~preview1) => Koriander (2014.09.1)
2014-09-11 11:59 pschuele Target Version Koriander (2014.09.1) => Koriander (2014.09.2)
2014-10-16 15:10 pschuele Target Version Koriander (2014.09.2) => Koriander (2014.09.3)
2014-11-13 11:46 pschuele Target Version Koriander (2014.09.3) => Koriander (2014.09.4)
2014-11-13 14:11 pschuele Target Version Koriander (2014.09.4) => Koriander (2014.09.5)
2014-11-28 10:50 pschuele Target Version Koriander (2014.09.5) => Koriander (2014.09.6)
2015-01-08 15:12 pschuele Target Version Koriander (2014.09.6) => Koriander (2014.09.7)
2015-01-09 11:47 pschuele Target Version Koriander (2014.09.7) => Koriander (2014.09.8)
2015-02-17 14:14 pschuele Target Version Koriander (2014.09.8) =>
2017-05-05 18:35 pschuele Status assigned => gerrit
2017-05-05 18:35 pschuele Product Version git master =>
2017-05-05 18:35 pschuele Target Version => 2016.11.8dev1 Egon BE Develop
2017-05-06 14:09 pschuele Relationship added child of 0013030
2017-05-08 08:38 pschuele Relationship replaced related to 0013030
2017-05-08 11:26 pschuele Status gerrit => resolved
2017-05-08 11:26 pschuele Fixed in Version => 2016.11.8dev1 Egon BE Develop
2017-05-08 11:26 pschuele Resolution open => fixed
2017-05-09 19:55 pschuele Note Added: 0020064
2017-05-09 19:55 pschuele Status resolved => new
2017-05-09 19:55 pschuele Resolution fixed => reopened
2017-05-09 19:56 pschuele Status new => assigned
2017-05-09 19:56 pschuele Fixed in Version 2016.11.8dev1 Egon BE Develop =>
2017-06-15 11:40 pschuele Target Version 2016.11.8dev1 Egon BE Develop => 2016.11.9dev1 Egon BE Develop
2017-07-12 14:07 pschuele Target Version 2016.11.9dev1 Egon BE Develop => 2017.11.1 Caroline Business Edition